Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
adedit.php File Reference

Go to the source code of this file.

## Variables
if((isset( $AddImages)) and(is_numeric( $AdID)) and(is_numeric( $AdID))) if( $Action=="Insert") if( $Action=="Update") if( $Action=="Delete") if( $Action=="DeleteAds") | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZAdMain", "Language" )
| $ImageDir = $ini->variable( "eZAdMain", "ImageDir" )
| $t
if( $Action=="Edit") | $category = new eZAdCategory()
| $categoryArray = $category->getTree()

## Variable Documentation

## ◆ $category

if ($Action=="Edit") $category = new eZAdCategory()

Definition at line 378 of file adedit.php.

Referenced by eZSlideshow\__construct(), eZNewsImporter\__construct(), articleCategoryTree(), eZArticle\categories(), eZLink\categories(), eZProduct\categories(), eZAd\categories(), eZImage\categories(), eZMedia\categories(), eZNews\categories(), eZTip\categories(), eZGroupEvent\category(), eZArticle\categoryDefinition(), eZLink\categoryDefinition(), eZProduct\categoryDefinition(), eZImage\categoryDefinition(), eZMedia\categoryDefinition(), eZArticleCategory\copyTree(), createPage(), createSmallArticleList(), eZArticleCategory\delete(), eZVirtualFolder\delete(), eZImageCategory\delete(), eZMediaCategory\delete(), eZProductCategory\delete(), eZLinkCategory\delete(), eZArticle\existsInCategory(), eZImage\existsInCategory(), eZNews\existsInCategory(), eZProduct\existsInCategory(), eZMedia\existsInCategory(), eZGroupEvent\forum(), eZImage\forum(), eZProduct\forum(), eZSlideshow\get(), eZForumCategory\getAll(), eZForumCategory\getAllCategories(), eZArticleCategory\getByName(), eZProductCategory\getByRemoteID(), eZImageCategory\getImages(), eZMediaCategory\getMedia(), eZAdCategory\getTree(), eZArticleCategory\getTree(), eZVirtualFolder\getTree(), eZImageCategory\getTree(), eZLinkCategory\getTree(), eZMediaCategory\getTree(), eZTipCategory\getTree(), eZProductCategory\getTree(), eZImageCategory\images(), eZFreeTradeImport\importCategories(), eZFreeTradeImport\importItems(), eZNewsImporter\importNews(), eZFreeTradeImport\importProducts(), eZArticleSupplier\item(), eZContactSupplier\item(), eZProductSupplier\item(), newArticle(), eZArticleTool\notificationMessage(), eZAdCategory\path(), eZArticleCategory\path(), eZVirtualFolder\path(), eZImageCategory\path(), eZLinkCategory\path(), eZMediaCategory\path(), eZNewsCategory\path(), eZTipCategory\path(), eZProductCategory\path(), renderFrontpageArticle(), renderFrontpageArticleDouble(), renderShortSingleArticle(), eZGroupEvent\setCategory(), eZSourceSite\setCategory(), eZArticle\setIsPublished(), syncDir(), eZBulkMailSubscriptionAddress\unsubscribe(), eZBulkMailSubscriptionUser\unsubscribe(), eZBulkMailUserSubscripter\unsubscribe(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ $categoryArray

$categoryArray = $category->getTree()

Definition at line 379 of file adedit.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZAdMain", "ImageDir" )

Definition at line 291 of file adedit.php.

## ◆ $ini

if ((isset($AddImages)) and(is_numeric($AdID)) and(is_numeric($AdID))) if ($Action=="Insert") if ($Action=="Update") if ($Action=="Delete") if ($Action=="DeleteAds") $ini =& eZINI::instance( 'site.ini' )

Definition at line 289 of file adedit.php.

## ◆ $Language

$Language = $ini->variable( "eZAdMain", "Language" )

Definition at line 290 of file adedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezad/admin/" . $ini->variable( "eZAdMain", "AdminTemplateDir" ),
"kernel/ezad/admin/intl/", $Language, "adedit.php" )
$Language
$Language
Definition: adedit.php:290
$ini
if((isset( $AddImages)) and(is_numeric( $AdID)) and(is_numeric( $AdID))) if( $Action=="Insert") if( $Action=="Update") if( $Action=="Delete") if( $Action=="DeleteAds") $ini
Definition: adedit.php:289
eZTemplate
Definition: eztemplate.php:107

Definition at line 293 of file adedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.